com.orsoncharts.graphics3d

## Class LabelFace

- java.lang.Object
- - com.orsoncharts.graphics3d.Face
  - - com.orsoncharts.graphics3d.LabelFace

-     public class LabelFace
      extends Face

  A face that carries a label (and is itself invisible).
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelFace(Object3D owner, int[] vertices, java.lang.String label, java.awt.Font font, java.awt.Color textColor, java.awt.Color backgroundColor)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackgroundColor()` Returns the background color.
    `java.awt.Color` | `getColor()` Returns a transparent color, so that the face is not visible.
    `java.awt.Font` | `getFont()` Returns the font.
    `java.lang.String` | `getLabel()` Returns the label.
    `java.awt.Color` | `getTextColor()` Returns the foreground color for the label text.
    `void` | `setBackgroundColor(java.awt.Color color)` Sets the background color.
    `void` | `setFont(java.awt.Font font)` Sets the font.
    `void` | `setLabel(java.lang.String label)` Sets the label.
    `void` | `setTextColor(java.awt.Color color)` Sets the foreground color for the label text.

    - ### Methods inherited from class com.orsoncharts.graphics3d.Face

      `calculateAverageZValue, calculateNormal, createPath, getOffset, getOutline, getOwner, getTag, getVertexCount, getVertexIndex, isFrontFacing, setOffset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelFace

          public LabelFace(Object3D owner,
                           int[] vertices,
                           java.lang.String label,
                           java.awt.Font font,
                           java.awt.Color textColor,
                           java.awt.Color backgroundColor)

      Creates a new instance.
      Parameters:
        `owner` - the object that this face belongs to (`null` not permitted).
        `vertices` - the vertices that define the face (`null` not permitted).
        `label` - the label (`null` not permitted).
        `font` - the font (`null` not permitted).
        `textColor` - the foreground color (`null` not permitted).
        `backgroundColor` - the background color for the label (`null` not permitted).

  - ### Method Detail

    - #### getColor

          public java.awt.Color getColor()

      Returns a transparent color, so that the face is not visible.
      Overrides:
        `getColor` in class `Face`
      Returns:
        A transparent color.

    - #### getLabel

          public java.lang.String getLabel()

      Returns the label.
      Returns:
        The label (never `null`).

    - #### setLabel

          public void setLabel(java.lang.String label)

      Sets the label.
      Parameters:
        `label` - the new label (`null` not permitted).

    - #### getFont

          public java.awt.Font getFont()

      Returns the font.
      Returns:
        The font (never `null`).

    - #### setFont

          public void setFont(java.awt.Font font)

      Sets the font.
      Parameters:
        `font` - the font (`null` not permitted).

    - #### getTextColor

          public java.awt.Color getTextColor()

      Returns the foreground color for the label text.
      Returns:
        The foreground color (never `null`).

    - #### setTextColor

          public void setTextColor(java.awt.Color color)

      Sets the foreground color for the label text.
      Parameters:
        `color` - the color (`null` not permitted).

    - #### getBackgroundColor

          public java.awt.Color getBackgroundColor()

      Returns the background color. The default value is a fully transparent color.
      Returns:
        The background color (never `null`).

    - #### setBackgroundColor

          public void setBackgroundColor(java.awt.Color color)

      Sets the background color.
      Parameters:
        `color` - the color (`null` not permitted).